Loading...
Searching...
No Matches
residue.h File Reference
`#include <BALL/KERNEL/fragment.h>`
`#include <BALL/KERNEL/PDBAtomIterator.h>`
`#include <BALL/KERNEL/residueIterator.h>`

Go to the source code of this file.

## Classes

class | BALL::Residue

## Namespaces

namespace | BALL

## Macros

#define | BALL_RESIDUE_DEFAULT_ID ""
#define | BALL_RESIDUE_DEFAULT_INSERTION_CODE ' '

## Functions

template<class ResidueContainerType>
const Residue * | BALL::getNTerminal (const ResidueContainerType &residue_container)
template<class ResidueContainerType>
const Residue * | BALL::getCTerminal (const ResidueContainerType &residue_container)

## Macro Definition Documentation

## BALL_RESIDUE_DEFAULT_ID

#define BALL_RESIDUE_DEFAULT_ID ""

Definition at line 21 of file residue.h.

## BALL_RESIDUE_DEFAULT_INSERTION_CODE

#define BALL_RESIDUE_DEFAULT_INSERTION_CODE ' '

Definition at line 22 of file residue.h.